Community
cancel
Showing results for 
Search instead for 
Did you mean: 
fschu12
Beginner
849 Views

[Error] Quartus not find while ./install_openvino_fpga_dependencies.sh script - Intel® Arria® 10 FPGA (IEI's Mustang-F100-A10)

I get a "Quartus not find" Error on executing the ./install_openvino_fpga_dependencies.sh script. I manually downloaded and installed the Quartus software "Quartus-lite-18.1.0.625-linux" but I still get this error. I want to get the Mustang-F100-A10 running. Here is the Detailed Error from the script. Can you please help me:

 

----------------------------------------------------------------------------------

 

Would you like to setup an FPGA? Select an option below.

Select (1) for None, (2) Intel® Arria® 10 GX FPGA Development Kit, (3) for Intel® Vision Accelerator Design with Intel® Arria® 10 FPGA (IEI Mustang-F100-A10):

1) none

2) Intel® Arria® 10 GX FPGA Development Kit

3) Intel® Vision Accelerator Design with Intel® Arria® 10 FPGA (IEI Mustang-F100-A10)

#? 3

Selected:

 

The NEO OpenCL GPU driver is required for using the GPU with OpenVINO. Would you like to install it?

Please select (y/n)

y

 

Do you want to setup a Movidius Neural Compute Stick?

Please select (y/n)

n

 

Do you want to setup an Intel® Vision Accelerator Design with Intel® Movidius™ VPUs card?

Please select (y/n)

n

Install NEO OCL

Intel OpenCL graphics driver installer

Looking for previously installed user-mode driver...

dpkg-query: no packages found matching intel-opencl

dpkg-query: no packages found matching intel-ocloc

dpkg-query: no packages found matching intel-gmmlib

Found intel-igc-core installed, uninstalling...

dpkg: dependency problems prevent removal of intel-igc-core:

 intel-igc-opencl depends on intel-igc-core.

 

dpkg: error processing package intel-igc-core (--purge):

 dependency problems - not removing

Errors were encountered while processing:

 intel-igc-core

ERROR: unable to remove intel-igc-core

      please resolve it manually and try to launch the script again.

Reading package lists... Done

Building dependency tree      

Reading state information... Done

libelf-dev is already the newest version (0.165-3ubuntu1.1).

The following packages were automatically installed and are no longer required:

 linux-headers-4.10.0-28 linux-headers-4.10.0-28-generic

 linux-image-4.10.0-28-generic linux-image-extra-4.10.0-28-generic

Use 'sudo apt autoremove' to remove them.

0 upgraded, 0 newly installed, 0 to remove and 217 not upgraded.

Installed HDDL-F BSP Files: (hddlf/2019.r1/a10_1150_sg1/ to /opt/altera/aocl-pro-rte/aclrte-linux64/board)

 

[Error] Quartus not find. If it's installed, try 'sudo updatedb' and re-run this script. Otherwise install Quartus and re-run.

 

[Info] Warning: multipe multiple Quartus instances found!

 

Size of array: 0

 

Installing aocl flash fix to: /linux64

[Error] If you want to use the aocl flash utility: install Quartus and run this script again.

 

-------------------------------------------------------------------------------

0 Kudos
11 Replies
228 Views

Hi,

 

Have you try to remove intel-igc-core manually : sudo apt-get remove <package-name> ?

 

Thanks.

228 Views

Hi, May I know if you have any updates? Thanks.
APate11
Beginner
228 Views

I'm having the same issue and the above fix did not work - what else can I try?

228 Views

Hi @APate11​ ,

 

Could you share the error message? What is the output message when you remove the library manually? What OS you were using?

 

Thanks.

228 Views

Hi @APate11,

 

May I know if you have any updates?

 

Thanks.

YTsen4
Beginner
228 Views

Well, I also get this error.

I used Ubuntu 16.04.1, with CPU: Intel(R) Core(TM) i7-6700 @ 3.40GHz

I also have manually installed "Quartus-18.1.0.625-linux-complete", but when I tried to follow the installation guide: https://docs.openvinotoolkit.org/latest/_docs_install_guides_VisionAcceleratorFPGA_Configure_2019R1....

I got the very same error like @fschu12​ .

Could you please help me to solve this problem? @KhaiY_Intel​ 

Thanks a lot!!

228 Views

Hi,

Can you use Ubuntu* 16.04.3 LTS (64 bit) as this is the compatible OS?

https://software.intel.com/en-us/openvino-toolkit/documentation/system-requirements

 

Thanks.

YTsen4
Beginner
228 Views

Um, actually, the biggest problem I encountered is that PCIe even could not detect it.

I need to contact to my PC provider, thus if there is any further progress, I will let you know.

Thanks a lot for your fast reply.

228 Views

Sure. Just let me know when you have any updates.

YTsen4
Beginner
228 Views

Finally, I found the problem is that I did not provide enough power to my FPGA board.

Then, the problem is solved by utilizing a external power supplier.

However, the same error message popped up and it is solved by typing sudo updatedb

When I followed the instructions in the following link:

https://docs.openvinotoolkit.org/latest/_docs_install_guides_VisionAcceleratorFPGA_Configure_2019R1....

I am a little bit stuck at the first part of step 14.

  1. Could you please tell me why do I need USB Blaster?
  2. Aren't the programs in the FPGA board had been already burned into it?
  3. Will it affect the DL model which I want to accelerate?

Thanks a lot for your help!

 

​Best,

Charlie

228 Views

Hi Charlie,

If you refer to the link https://docs.openvinotoolkit.org/latest/_docs_install_guides_VisionAcceleratorFPGA_Configure_2019R1...., the USB Blaster is used for programming the BSP into the board. Referring to the steps, you have to program the sof file and and the aocx files into the board.

 

Thanks.

 

 

Reply